import matplotlib.pyplot as plt
import deepdish as dd

# Load data

data  = dd.io.load("../../Event_Samples/default/o1o2o3_mass_c_iid_mag_two_comp_iid_tilt_powerlaw_redshift_samples.hdf5")
events = data['names']
idx = events.index("S190521g")

mass_1  = data['original']['mass_1'][idx]
weights = data['original']['weights'][idx]


# Plot data

plt.hist(mass_1, histtype="step", density=True, bins=100, label='original')
plt.hist(mass_1, histtype="step", density=True, bins=100, label='reweighted', weights=weights)
plt.xlabel(r'$m_1 \ [M_\odot]$')
plt.ylabel(r'$p(m_1)$')
plt.legend(loc='upper right')
plt.savefig("population_weighted_GW190521_m1_dist.png")

